User and Account

View as Markdown

Unless otherwise specified, the following endpoints can use JWT or API Key signing.

User Info

1GET /v1/private/user/info

Response fields:

FieldTypeDescription
userInfo.userIdstringExternal user ID
userInfo.usernamestringUsername
userInfo.agentIdint64Agent ID
userInfo.vipLevelint64VIP level
userInfo.lastLoginAtint64Last login time
userInfo.lastLoginIpstringLast login IP

User Assets

1GET /v1/private/user/asset

Response fields:

FieldTypeDescription
userAsset.userIdstringExternal user ID
userAsset.assetTypestringAsset type
userAsset.walletBalancestringWallet balance
userAsset.frozenMarginstringMargin frozen by pending orders
userAsset.usedMarginstringMargin used by positions

Create listenKey

1POST /v1/private/user/listen-key

Creates an authentication key for private WebSocket streams.

Renew listenKey

1PUT /v1/private/user/listen-key

Extends listenKey validity.

Close listenKey

1DELETE /v1/private/user/listen-key

Closes the specified listenKey.

Account Change Logs

1GET /v1/private/user/account-change-log?assetType=USDT&page=1&pageSize=20

Request parameters:

ParameterTypeRequiredDescription
assetTypestringNoAsset type, such as USDT
changeTypestringNoChange type
startTimeint64NoStart time
endTimeint64NoEnd time
pageint32NoPage number, default 1
pageSizeint32NoItems per page, default 20

Response fields:

FieldTypeDescription
list[].assetTypestringAsset type
list[].amountstringChanged amount
list[].walletBalanceBeforestringWallet balance before change
list[].walletBalanceAfterstringWallet balance after change
list[].frozenBalanceBeforestringFrozen balance before change
list[].frozenBalanceAfterstringFrozen balance after change
list[].changeTypestringChange type
list[].referenceIdstringRelated business ID
list[].createdAtint64Creation time
totalint64Total count

30-Day Volume Statistics

1GET /v1/private/user/volume-stats

Response fields:

FieldTypeDescription
volume30dstringCumulative trading volume over the last 30 days
feeTotal30dstringCumulative fees over the last 30 days

Balance History

1GET /v1/private/user/balance-history?period=1D&limit=30

Request parameters:

ParameterTypeRequiredDescription
periodstringYes1D / 1W / 1M
limitintNoNumber of items returned, default 30

Response fields:

FieldTypeDescription
items[].datestringAggregation date
items[].balancestringWallet balance
items[].pnlstringRealized PnL for the period

Trade Overview

1GET /v1/private/user/trade-overview?type=1M

Request parameters:

ParameterTypeRequiredDescription
typestringYesTrend range: 1D, 1W, 1M, 3M, 6M, 1Y

Response fields:

FieldTypeDescription
todayPnlstringToday’s realized PnL
todayVolumestringToday’s contract trading volume
totalVolumestringCumulative contract trading volume
totalPnlstringCumulative realized PnL
maxDrawdown30dstringMaximum drawdown amount over the last 30 days
maxDrawdown30dRatestringMaximum drawdown rate over the last 30 days, decimal from 0 to 1
transferInstringCumulative transferred-in funds
transferOutstringCumulative transferred-out funds
items[]arrayAsset trend data

Asset Overview Summary

1GET /v1/private/user/asset/overview/summary

Response fields are the same as the trade overview summary fields, excluding items[].

Asset Overview Trend

1GET /v1/private/user/asset/overview/trend?type=1M

Request parameters:

ParameterTypeRequiredDescription
typestringYesTrend range: 1D, 1W, 1M, 3M, 6M, 1Y

Response fields:

FieldTypeDescription
items[].snapshotTimeint64Snapshot time
items[].balancestringCurrent account balance
items[].pnlstringPnL for the current period
items[].pnlRatestringPnL rate for the current period
items[].totalPnlstringCumulative PnL

Favorite Symbols

Save

1POST /v1/private/user/favorite-symbols
2Content-Type: application/json

Request body:

1{
2 "symbols": ["BTCUSDT", "ETHUSDT"]
3}

Query

1GET /v1/private/user/favorite-symbols

Response fields:

FieldTypeDescription
symbolsstring[]Favorite symbol list